zenilib: Zeni::Collision::Plane Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Collision::Plane Class Reference
Zenilib

Collision Plane. More...

`#include <Collision.h>`

## Public Member Functions

| Plane ()
| Plane (const Point3f &point_, const Vector3f &normal_)
const Vector3f & | get_normal () const
const Point3f & | get_point () const
template<typename TYPE >
bool | intersects (const TYPE &rhs) const
float | shortest_distance (const Plane &rhs) const
float | shortest_distance (const Point3f &rhs) const
float | shortest_distance (const Sphere &rhs) const
float | shortest_distance (const Line &rhs) const
float | shortest_distance (const Ray &rhs) const
float | shortest_distance (const Line_Segment &rhs) const
float | shortest_distance (const Infinite_Cylinder &rhs) const
float | shortest_distance (const Capsule &rhs) const
float | shortest_distance (const Parallelepiped &rhs) const

## Detailed Description

Collision Plane.

This class ZENI_DLL describes a Plane object in 3-space. It is possible to test to see if it intersects any other object in Zeni_Collision, and it is also possible to find the shortest distance between it and any other object in Zeni_Collision.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 207 of file Collision.h.

## Constructor & Destructor Documentation

Zeni::Collision::Plane::Plane | ( |  | ) |

inline

Definition at line 209 of file Collision.h.

Zeni::Collision::Plane::Plane | ( | const Point3f & | point_,
|  | const Vector3f & | normal_
| ) |  |

Definition at line 269 of file Collision.cpp.

## Member Function Documentation

const Vector3f& Zeni::Collision::Plane::get_normal | ( |  | ) | const

inline

Definition at line 226 of file Collision.h.

Referenced by Zeni::Camera::look_at(), Zeni::Collision::nearest_point(), and Zeni::Collision::Parallelepiped::shortest_distance().

const Point3f& Zeni::Collision::Plane::get_point | ( |  | ) | const

inline

Definition at line 225 of file Collision.h.

Referenced by Zeni::Collision::nearest_point(), and Zeni::Collision::Parallelepiped::shortest_distance().

template<typename TYPE >

bool Zeni::Collision::Plane::intersects | ( | const TYPE & | rhs | ) | const

Definition at line 76 of file Collision.hxx.

References shortest_distance(), and ZENI_COLLISION_EPSILON.

float Zeni::Collision::Plane::shortest_distance | ( | const Plane & | rhs | ) | const

Definition at line 275 of file Collision.cpp.

References Zeni::Vector3f::magnitude(), and ZENI_COLLISION_EPSILON.

Referenced by intersects(), Zeni::Collision::nearest_point(), Zeni::Collision::Sphere::shortest_distance(), and shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Point3f & | rhs | ) | const

Definition at line 283 of file Collision.cpp.

References fabs().

float Zeni::Collision::Plane::shortest_distance | ( | const Sphere & | rhs | ) | const

Definition at line 287 of file Collision.cpp.

References Zeni::Collision::Sphere::get_center(), Zeni::Collision::Sphere::get_radius(), shortest_distance(), and Zeni::Collision::unpoof().

float Zeni::Collision::Plane::shortest_distance | ( | const Line & | rhs | ) | const

inline

Definition at line 56 of file Collision.hxx.

References Zeni::Collision::Line::shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Ray & | rhs | ) | const

inline

Definition at line 59 of file Collision.hxx.

References Zeni::Collision::Ray::shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Line_Segment & | rhs | ) | const

inline

Definition at line 62 of file Collision.hxx.

References Zeni::Collision::Line_Segment::shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Infinite_Cylinder & | rhs | ) | const

inline

Definition at line 65 of file Collision.hxx.

References Zeni::Collision::Infinite_Cylinder::shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Capsule & | rhs | ) | const

inline

Definition at line 68 of file Collision.hxx.

References Zeni::Collision::Capsule::shortest_distance().

float Zeni::Collision::Plane::shortest_distance | ( | const Parallelepiped & | rhs | ) | const

inline

Definition at line 71 of file Collision.hxx.

References Zeni::Collision::Parallelepiped::shortest_distance().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/Collision.h
- zenilib/jni/external/zenilib/zeni/Collision.cpp
- zenilib/jni/external/zenilib/zeni/Zeni/Collision.hxx